Bug 336124 - Calendar arrow and not center aligned
Summary: Calendar arrow and not center aligned
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Calendar (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Martin Klapetek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 12:07 UTC by Vishesh Handa
Modified: 2016-02-07 23:10 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:
kde: VisualDesign+


Attachments
I've added black lines and a grid to highlight the problem (23.67 KB, image/png)
2014-06-12 12:07 UTC, Vishesh Handa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vishesh Handa 2014-06-12 12:07:37 UTC
Created attachment 87146 [details]
I've added black lines and a grid to highlight the problem

The arrows in the calendar have more spacing on the top than in comparison to the bottom.
Comment 1 Martin Klapetek 2014-06-12 12:32:18 UTC
They are actually not meant to be centered (or at least weren't), they are anchored to their respective grid corner and stay there if you eg. expand the plasmoid in height.

They can't be centered really as with smaller grids the arrow is already overlapping the day string (and for me, with normal DPI and default calendar size, it's also close).

Personally I would like to have the arrows outside of that grid altogether, but where to put those? Putting them around the month name breaks the month name vertical alignment
Comment 2 Andrew Lake 2014-06-17 00:42:01 UTC
VDG feedback was requested on this and the consensus was that the real problem here is that those arrows should probably be co-located with the month not the weekdays. The thread discussing this is here:
http://forum.kde.org/viewtopic.php?f=285&t=121603

I think we can can either change this bug to suggest co-locating the arrows with the month OR perhaps just close this bug report as no longer applicable. Either way is fine by me. :-)
Comment 3 David Edmundson 2014-06-17 14:13:49 UTC
Mine overlap with the text which is clearly wrong. Confirming.
Comment 4 Aleix Pol 2014-07-07 16:50:11 UTC
Bump?
Comment 5 Sebastian Kügler 2014-07-09 11:10:55 UTC
They shouldn't overlap, but putting them with the month destroys the visual balance of the design.

I'd say: let's fix the overlap and close this bugreport.
Comment 6 Martin Klapetek 2014-07-09 11:16:07 UTC
But you can't really fix the overlap is that depends on the font and/or the applet size; as long as they are in the same cell, there is a certain possibility they will overlap.
Comment 7 Kai Uwe Broulik 2016-02-07 23:10:33 UTC
Git commit 4ebf130ee66a912a5dac360441a8c0060eab247e by Kai Uwe Broulik.
Committed on 07/02/2016 at 23:07.
Pushed by broulik into branch 'master'.

[Calendar] Add proper back/forward buttons and a "Today" button

This removes the custom label-based triangles and replaces them with proper ToolButtons
using proper icons. It also adds a "Today" button to return to the current day.
The tooltips on the buttons reflect the actual action ("Previous Month", "Previous Year",
"Previous Decade", depending on the zoom level).

Furthermore, the day names and week numbers now use the regular font size but they're still
visually disconnected. The day names row is hidden in the zoom levels now.

REVIEW: 126960
Related: bug 348362, bug 358536

M  +5    -1    src/declarativeimports/calendar/qml/DayDelegate.qml
M  +69   -80   src/declarativeimports/calendar/qml/DaysCalendar.qml
M  +10   -1    src/declarativeimports/calendar/qml/MonthView.qml

http://commits.kde.org/plasma-framework/4ebf130ee66a912a5dac360441a8c0060eab247e